<template>
  <div class="z-30" :class="expanded ? 'md:hidden fixed left-80 ms-2 mt-2' : 'hidden'">
    <button @click="expanded = false">
      <Icon icon="fa-solid fa-xmark" class="text-3xl text-white hover:text-slate-300"></Icon>
    </button>
  </div>

  <div class="flex">
    <!-- SIDE BAR -->
    <div class="bg-[#432b1c] h-screen flex flex-col fixed md:sticky top-0 shadow-2xl transition-all z-30"
      :class="expanded ? 'pt-6 w-80 md:w-64 overflow-y-auto md:overflow-visible' : '-left-16 md:left-0 w-16'">
      <img class="mx-auto transition-transform" :class="expanded ? 'w-32 mb-8' : 'hidden'" :src="`/logo.png`">

      <div v-if="expanded" class="flex space-x-4 items-center px-4 mb-4">
        
        <div class="relative">
          <a href="/profile/personalDetails">
    <img class="rounded-full border-gray-600 w-20 h-20 object-cover" :class="{ 'border': !user.pfp_src }"
      :src="user.pfp_src || '/user.jpeg'" alt="User Profile">
    </a>
    <div class="absolute bottom-0 right-0">
      <!-- Setting Icon -->
      <button @click="toggleDropdown"
              class="p-1 bg-gray-800 rounded-full text-white focus:outline-none">
            <Icon icon="fa-solid fa-gear" class="text-2xl text-white"></Icon>
      </button>
      <!-- Dropdown Menu -->
      <div v-if="dropdownOpen"
           @click.away="dropdownOpen = false"
           class="absolute bg-gray-200 rounded-lg shadow-lg border-t-2 border-white mt-2 w-48">
        <a href="/profile/changePassword" class="block px-4 py-2 text-gray-800">Change Password</a>
        <div class="border-b border-white"></div>
        <a href="/profile/personalDetails" class="block px-4 py-2 text-gray-800">View Profile</a>
      </div>
    </div>
  </div>

  <div class="text-white">
    <div>{{ user.name }}</div>
    <div class="font-normal text-sm text-white">{{ user.role.name }}</div>
  </div>
</div>

      <div class="scrollbar-thin scrollbar-thumb-orange-200 scrollbar-track-orange-50 pb-10"
        :class="expanded ? 'flex-1 md:overflow-y-auto' : ''">
        <NavLink :name="'Dashboard'" :route="'/dashboard'" :expanded="expanded" :icon="'fa-solid fa-house-chimney'">
        </NavLink>

        <NavLink :hidden="!user.can_view_employees"  :name="'All Employees'" :route="'/employee'" :expanded="expanded" :icon="'fa-solid fa-user'">
          <Link href="/employee/user"
            :class="/^\/employee\/user/.test($page.url) ? 'nested-nav-link-active' : 'nested-nav-link'">Users</Link>
          <Link href="/employee/role"
            :class="/^\/employee\/role/.test($page.url) ? 'nested-nav-link-active' : 'nested-nav-link'">Roles</Link>
        </NavLink>

        <NavLink :hidden="!user.view_my_leaves " :name="'Request Leave'" :route="'/myLeave/leaveApplication'" :expanded="expanded" :icon="'fa-solid fa-book-open'">
        </NavLink>

        <NavLink :hidden="!user.can_approve_leave" :name="'Leave Management'" :route="'/leave/leaveRequest'" :expanded="expanded" :icon="'fa-solid fa-calendar-check'">
        </NavLink>

        <NavLink  :hidden="!user.role.tech_setup_eligibility" :name="'Attendance'" :route="'/attendance'" :expanded="expanded" :icon="'fa-solid fa-clipboard-user'">
          
        </NavLink>
        
        <NavLink :hidden="!user.can_fill_forms && !user.can_raise_forms" :name="'Forms'" :route="'/form'" :expanded="expanded" :icon="'fa-solid fa-file-waveform'">
          <Link class="nested-nav-link">Pending forms</Link>
          <Link class="nested-nav-link">Form templates</Link>
          <Link class="nested-nav-link">Raised forms</Link>
        </NavLink>

        <NavLink :hidden="!user.role.observer_eligibility && !user.role.performance_eligibility" :name="'Performance'"
          :route="'/performance'" :expanded="expanded" :icon="'fa-solid fa-chart-line'">
          <Link v-if="user.role.observer_eligibility" href="/performance/observationNote"
            :class="/^\/performance\/observationNote/.test($page.url) ? 'nested-nav-link-active' : 'nested-nav-link'">My
          Observations</Link>
          <Link v-if="user.role.performance_eligibility" href="/performance/myPerformance"
            :class="/^\/performance\/myPerformance/.test($page.url) ? 'nested-nav-link-active' : 'nested-nav-link'">My
          Performance</Link>
        </NavLink>

        
        
        <NavLink :hidden="!user.role.read_leave_type  && !user.role.read_form_template " :name="'Creation Hub'" :route="'/creationhub'" :expanded="expanded" :icon="'fa-solid fa-hand-holding-droplet'">
         
        </NavLink>

        <NavLink :hidden="!user.role.read_department"  :name="'Departments'" :route="'/department'" :expanded="expanded" :icon="'fa-solid fa-building'">
          
        </NavLink>

        <NavLink :hidden="!user.can_view_employees" :name="'Attendance'" :route="'/attendance'"
          :expanded="expanded" :icon="'fa-solid fa-person-circle-check'">
          <Link href="/attendance/report"
            :class="/^\/attendance\/report/.test($page.url) ? 'nested-nav-link-active' : 'nested-nav-link'"
            class="nested-nav-link">Attendance Report</Link>
        </NavLink>

        <NavLink :hidden="!user.can_manage_roster && !user.role.roster_eligibility" :name="'Roster'" :route="'/roster'" :expanded="expanded" :icon="'fa-solid fa-calendar-days'">
          <!-- <Link v-if="user.can_manage_roster" href="/roster/roster"
            :class="/^\/roster\/roster/.test($page.url) ? 'nested-nav-link-active' : 'nested-nav-link'">Manage Roster
          </Link>
          <Link v-if="user.role.manage_roster" href="/roster/shift"
            :class="/^\/roster\/shift/.test($page.url) ? 'nested-nav-link-active' : 'nested-nav-link'">
          Department Shifts</Link>
          <Link v-if="user.role.roster_eligibility" href="/roster/myRoster"
            :class="/^\/roster\/myRoster/.test($page.url) ? 'nested-nav-link-active' : 'nested-nav-link'">My roster
          </Link> -->
        </NavLink>

        
        <NavLink :hidden="!user.issue_staff" :name="'Issuance'" :route="'/issuance'" :expanded="expanded"
          :icon="'fa-solid fa-hand-holding-hand'">
          <Link v-if="user.issue_staff" href="/issuance/staff"
            :class="/^\/issuance\/staff/.test($page.url) ? 'nested-nav-link-active' : 'nested-nav-link'">Issue staff
          </Link>
        </NavLink>

        

        <NavLink :name="'Log Out'"
         :route="'/login'"
         :method="delete"
         :expanded="expanded"
         :icon="'fa-solid fa-right-from-bracket'" 
         class="bg-[#A14031] text-white px-6 inline-flex items-center justify-center rounded-md shadow-sm m-1">
    <span class="font-semibold text-sm">Log Out</span>
</NavLink>




      </div>


      <button @click="expanded = !expanded"
        class="z-40 absolute -right-[19px] top-[30px] bg-white rounded-full p-1 shadow-md hover:bg-gray-200 justify-center items-center transition-all hidden md:flex"
        :class="{ 'rotate-180': !expanded }">
        <Icon icon="fa-solid fa-circle-chevron-left" class="text-3xl text-[#A14031] hover:text-[#2F49A4]"></Icon>
      </button>
    </div>

    <!-- TOP BAR -->
    <div class="flex-1 bg-red-100 min-h-screen"
      :class="expanded ? 'brightness-50 md:brightness-100 md:select-auto select-none md:pointer-events-auto pointer-events-none' : 'brightness-100'">

      <div class="sticky shadow-md top-0 z-20">
        

          <!-- Dropdown menu -->
          


        <div class="h-10 bg-[#E3EDF9] flex justify-between items-center px-3 md:ps-10 md:pe-6 gap-x-5">
          <button @click="expanded = !expanded" class="block md:hidden">
            <Icon icon="fa-solid fa-bars" class="text-3xl hover:text-slate-300"></Icon>
          </button>
          <div class="flex gap-x-3 flex-1 items-center">  
            <!-- <Link href="/employee/user"
              :class="[!/^\/employee\/[^\/]+$/.test($page.url) ? 'hidden' : /^\/employee\/user[?]?.*$/.test($page.url) ? 'nav-tab-active' : 'hidden md:nav-tab']">
            Users
            </Link> -->

            <Link v-if="user.has_forms" href="/form/myForm"
              :class="[!/^\/form\/[^\/]+$/.test($page.url) ? 'hidden' : /^\/form\/myForm[?]?.*$/.test($page.url) ? 'nav-tab-active' : 'hidden md:nav-tab']">
            My Forms
            </Link>
            <Link v-if="user.has_shared_forms" href="/form/sharedForm"
              :class="[!/^\/form\/[^\/]+$/.test($page.url) ? 'hidden' : /^\/form\/sharedForm[?]?.*$/.test($page.url) ? 'nav-tab-active' : 'hidden md:nav-tab']">
            Shared Forms
            </Link>

            <Link v-if="user.can_fill_forms" href="/form/filledForm"
              :class="[!/^\/form\/[^\/]+$/.test($page.url) ? 'hidden' : /^\/form\/filledForm[?]?.*$/.test($page.url) ? 'nav-tab-active' : 'hidden md:nav-tab']">
            Pending Forms
            </Link>
            <!-- <Link v-if="user.role.read_form_template" href="/form/formTemplate"
              :class="[!/^\/form\/[^\/]+$/.test($page.url) ? 'hidden' : /^\/form\/formTemplate[?]?.*$/.test($page.url) ? 'nav-tab-active' : 'hidden md:nav-tab']">
            Form Templates
            </Link> -->
            <Link v-if="user.can_raise_forms" href="/form/raisedForm"
              :class="[!/^\/form\/[^\/]+$/.test($page.url) ? 'hidden' : /^\/form\/raisedForm[?]?.*$/.test($page.url) ? 'nav-tab-active' : 'hidden md:nav-tab']">
            Raised Forms
            </Link>
            <Link href="" :class="{ 'hidden': !/^\/form\/filledForm\/\w+\/edit[?]?.*$/.test($page.url) }"
              class="nav-tab-active">
            Submit Form
            </Link>
            <Link href="" :class="{ 'hidden': !/^\/form\/formTemplate\/create[?]?.*$/.test($page.url) }"
              class="nav-tab-active">
            Create Form Template
            </Link>
            <Link href="" :class="{ 'hidden': !/^\/form\/formTemplate\/\w+\/edit[?]?.*$/.test($page.url) }"
              class="nav-tab-active">
            Edit Form Template
            </Link>
            <Link href="" :class="{ 'hidden': !/^\/form\/raisedForm\/create[?]?.*$/.test($page.url) }"
              class="nav-tab-active">
            Create Raised From
            </Link>
            <Link href="" :class="{ 'hidden': !/^\/form\/raisedForm\/\w+\/edit[?]?.*$/.test($page.url) }"
              class="nav-tab-active">
            Edit Raised Form
            </Link>

            <Link href="/creationhub/leaveType"
              :class="[!/^\/creationhub\/[^\/]+$/.test($page.url) ? 'hidden' : /^\/creationhub\/leaveType[?]?.*$/.test($page.url) ? 'nav-tab-active' : 'hidden md:nav-tab']">
            Leave Types
            </Link>
            
            <Link href="/creationhub/formTemplate"
              :class="[!/^\/creationhub\/[^\/]+$/.test($page.url) ? 'hidden' : /^\/creationhub\/formTemplate[?]?.*$/.test($page.url) ? 'nav-tab-active' : 'hidden md:nav-tab']">
            Form Template
            </Link>
            
            <Link href="/creationhub/role"
              :class="[!/^\/creationhub\/[^\/]+$/.test($page.url) ? 'hidden' : /^\/creationhub\/role[?]?.*$/.test($page.url) ? 'nav-tab-active' : 'hidden md:nav-tab']">
            Roles
            </Link>

            <Link v-if="user.can_view_roster" href="/roster/roster"
              :class="[!/^\/roster\/[^\/]+$/.test($page.url) ? 'hidden' : /^\/roster\/roster[?]?.*$/.test($page.url) ? 'nav-tab-active' : 'hidden md:nav-tab']">
            Manage Roster
            </Link>
            <Link v-if="user.role.manage_department_shift" href="/roster/shift"
              :class="[!/^\/roster\/[^\/]+$/.test($page.url) ? 'hidden' : /^\/roster\/shift[?]?.*$/.test($page.url) ? 'nav-tab-active' : 'hidden md:nav-tab']">
            Department Shifts
            </Link>
            <Link v-if="user.role.roster_eligibility" href="/roster/myRoster"
              :class="[!/^\/roster\/[^\/]+$/.test($page.url) ? 'hidden' : /^\/roster\/myRoster[?]?.*$/.test($page.url) ? 'nav-tab-active' : 'hidden md:nav-tab']">
            My Roster
            </Link>

            
            

            <Link href="" :class="{ 'hidden': !/^\/roster\/shift\/create[?]?.*$/.test($page.url) }"
              class="nav-tab-active">
            Create Department Shift
            </Link>
            <Link href="" :class="{ 'hidden': !/^\/roster\/shift\/\w+\/edit[?]?.*$/.test($page.url) }"
              class="nav-tab-active">
            Edit Department Shift
            </Link>

            <!-- Issuance -->
            <Link v-if="user.issue_staff" href="/issuance/staff"
              :class="[!/^\/issuance\/[^\/]+$/.test($page.url) ? 'hidden' : /^\/issuance\/staff[?]?.*$/.test($page.url) ? 'nav-tab-active' : 'hidden md:nav-tab']">
            Issue Staff
            </Link>
            <Link href="" :class="{ 'hidden': !/^\/issuance\/staff\/\w+\/edit[?]?.*$/.test($page.url) }"
              class="nav-tab-active">
            Issue Fields
            </Link>


            <!-- Performance -->
            <Link v-if="user.role.observer_eligibility" href="/performance/observationNote"
              :class="[!/^\/performance\/[^\/]+$/.test($page.url) ? 'hidden' : /^\/performance\/observationNote[?]?.*$/.test($page.url) ? 'nav-tab-active' : 'hidden md:nav-tab']">
            My Observations
            </Link>
            <Link v-if="user.role.performance_eligibility" href="/performance/myPerformance"
              :class="[!/^\/performance\/[^\/]+$/.test($page.url) ? 'hidden' : /^\/performance\/myPerformance[?]?.*$/.test($page.url) ? 'nav-tab-active' : 'hidden md:nav-tab']">
            My Performance
            </Link>
            <Link href="" :class="{ 'hidden': !/^\/performance\/observationNote\/[0-9]+$/.test($page.url) }"
              class="nav-tab-active">
            View Observation
            </Link>
            <Link href="" :class="{ 'hidden': !/^\/performance\/myPerformance\/[0-9]+$/.test($page.url) }"
              class="nav-tab-active">
            View Performance
            </Link>


            <!-- Attendance -->
            <Link href="/attendance/report"
              :class="[!/^\/attendance\/[^\/]+$/.test($page.url) ? 'hidden' : /^\/attendance\/report[?]?.*$/.test($page.url) ? 'nav-tab-active' : 'hidden md:nav-tab']">
            Attendance Report
            </Link>


            

            <!-- <Link v-if="user.role.read_form_template" href="/form/formTemplate"
            :class="/^\/form\/formTemplate/.test($page.url) ? 'nav-tab-active' : 'hidden md:nav-tab'">Form
          templates
          </Link>
          <Link v-if="user.role.read_raised_form" href="/form/raisedForm"
            :class="/^\/form\/raisedForm/.test($page.url) ? 'nav-tab-active' : 'hidden md:nav-tab'">Raised forms
          </Link> -->
          </div>
            
          <div class="marquee-container">
    <span class="text-sm md:text-lg lg:text-xl font-bold text-gray-700 marquee">
      Together We Can, Together We Grow
    </span>
  </div>
          <div class="h-12 text-white  md:ps-10 md:pe-6 flex justify-between items-center gap-x-3">



            <Link href="/alert" class="block relative group">
            <Icon icon="fa-solid fa-triangle-exclamation" class="text-2xl text-blue-700 group-hover:text-blue-800">
            </Icon>
            <div v-if="user.alert_count"
              class="absolute rounded-full bg-lime-500 group-hover:bg-lime-600 h-5 w-5 -top-[3px] -right-3 ring-2 ring-white text-xs text-white font-semibold flex justify-center items-center">
              {{ user.alert_count }}
            </div>
            </Link>
            <Link href="/notification" class="block relative group">
            <Icon icon="fa-solid fa-bell" class="text-2xl text-blue-700 group-hover:text-blue-800"></Icon>
            <div v-if="user.unread_notification_count"
              class="absolute rounded-full bg-lime-500 group-hover:bg-lime-600 h-5 w-5 -top-[3px] -right-3 ring-2 ring-white text-xs text-white font-semibold flex justify-center items-center">
              {{ user.unread_notification_count }}
            </div>
            </Link>






            <!-- Dropdown menu -->

          </div>

        </div>




        <!-- TABS -->

        <!-- EMPLOYEE -->
        <!-- <Link href="/creationhub/leaveType"
              :class="[!/^\/employee\/[^\/]+$/.test($page.url) ? 'hidden' : /^\/employee\/user[?]?.*$/.test($page.url) ? 'nav-tab-active' : 'hidden md:nav-tab']">
            Users
            </Link> -->
        <!-- <Link href="/employee/role"
              :class="[!/^\/employee\/[^\/]+$/.test($page.url) ? 'hidden' : /^\/employee\/role[?]?.*$/.test($page.url) ? 'nav-tab-active' : 'hidden md:nav-tab']">
            Roles
            </Link> -->

        <!-- <Link href="" :class="{ 'hidden': !/^\/employee\/user\/create[?]?.*$/.test($page.url) }"
              class="nav-tab-active"> -->
        <!-- Create User -->
        <!-- </Link> -->
        <!-- <Link href="" :class="{ 'hidden': !/^\/employee\/user\/\w+\/edit[?]?.*$/.test($page.url) }"
              class="nav-tab-active">
            Edit User
            </Link>
            <Link href="" :class="{ 'hidden': !/^\/employee\/role\/create[?]?.*$/.test($page.url) }"
              class="nav-tab-active">
            Create Role
            </Link>
            <Link href="" :class="{ 'hidden': !/^\/employee\/role\/\w+\/edit[?]?.*$/.test($page.url) }"
              class="nav-tab-active">
            Edit Role
            </Link> -->

        <!-- PROFILE -->
        <!-- <Link href="/profile/personalDetails"
              :class="[!/^\/profile\/[^\/]+$/.test($page.url) ? 'hidden' : /^\/profile\/personalDetails[?]?.*$/.test($page.url) ? 'nav-tab-active' : 'hidden md:nav-tab']">
            Personal Details
            </Link> -->






      </div>

      <!-- MAIN CONTENT -->
      <div class="px-5 py-10 md:p-10 relative min-h-screen bg-[#E3EDF9]">
        <!-- <div class="absolute inset-0 flex flex-col items-center justify-center z-0">
      <div class="text-4xl md:text-6xl lg:text-7xl font-bold text-gray-700">Together We Can</div>
      <div class="text-4xl md:text-6xl lg:text-7xl font-bold text-gray-700 mt-4">Together We Grow</div>
    </div> -->
        <slot></slot>
        <div class="-z-10 absolute top-0 left-0 h-full w-full">
        </div>
      </div>





    </div>
  </div>


</template>
<style>
  .marquee-container {
    flex-grow: 1;
    overflow: hidden;
    position: relative;
    white-space: nowrap;
  }

  .marquee {
    display: inline-block;
    white-space: nowrap;
    animation: marquee 20s linear infinite;
  }

  @keyframes marquee {
    0% { transform: translateX(100%); }
    0.1% { transform: translateX(calc(100% + 500px)); } /* Starts outside the container */
    99.9% { transform: translateX(calc(-100% - 10px)); } /* Ends outside the container */
    100% { transform: translateX(-100%); }
  }
</style>

<script setup>
import { ref, watch, onMounted, computed, onBeforeUnmount } from 'vue';
import { Link, router, usePage } from '@inertiajs/vue3';
import NavLink from '@/Components/NavLink.vue';
import { initDropdowns } from 'flowbite';
import { useToast, POSITION } from "vue-toastification";

const page = usePage();

const expanded = ref(true);
watch(expanded, (value) => {
  page.props.expanded = value;
  if (value) {
    document.getElementById('body').classList.add('h-screen', 'overflow-hidden', "md:overflow-visible")
  } else {
    document.getElementById('body').classList.remove('h-screen', 'overflow-hidden', "md:overflow-visible")
  }
})

const user = computed(() => page.props.currentUser)
const toast = useToast();
watch(() => page.props, (value) => {
  if (value.flash.success) {
    toast.success(value.flash.success, { position: POSITION.BOTTOM_RIGHT });
  }

  if (Object.keys(value.errors).length > 0) {
    toast.error(value.errors[Object.keys(value.errors)[0]], { position: POSITION.BOTTOM_RIGHT });
  }
})

onMounted(() => {
  initDropdowns();

  if (window.innerWidth <= 768) {
    expanded.value = false
    page.props.expanded = false;
  } else {
    expanded.value = true
    page.props.expanded = true;
  }

  //listen for broadcasted events
  window.Echo.connect();

  window.Echo.private('App.Models.User.' + page.props.currentUser.id)
    .notification((notification) => {
      if (notification.type === "App\\Notifications\\LeaveApproved") {
        toast.success(`Your ${notification.leave_type} Application is approved!`, { position: POSITION.BOTTOM_RIGHT });
      } else if (notification.type === "App\\Notifications\\LeaveRejected") {
        toast.error(`Your ${notification.leave_type} Application is rejected!`, { position: POSITION.BOTTOM_RIGHT });
      } else if (notification.type === "App\\Notifications\\UserRegistered") {
        toast.success(`New (${notification.role_name}) ${notification.user_name} is registered!`, { position: POSITION.BOTTOM_RIGHT });
      } else if (notification.type === "App\\Notifications\\UserDeleted") {
        toast.error(`(${notification.role_name}) ${notification.user_name} is deleted!`, { position: POSITION.BOTTOM_RIGHT });
      } else {
        //alerts
        toast.warning(notification.message, { position: POSITION.BOTTOM_RIGHT });
      }

      console.log(1);
      if (!/Alert$/.test(notification.type)) {
        page.props.currentUser.unread_notification_count += 1
      }
      else if (/Alert$/.test(notification.type) && notification.first) {
        page.props.currentUser.alert_count += 1
      }
    });
})

//cleanup
onBeforeUnmount(() => {
  toast.clear();
  window.Echo.disconnect();
})

function back() {
  if (/^\/employee\/user\/create[?]?.*$/.test(page.url)) {
    router.get('/employee/user')
  } else if (/^\/employee\/user\/\w+\/edit[?]?.*$/.test(page.url)) {
    router.get('/employee/user')
  } else if (/^\/employee\/user\/[^\/]*$/.test(page.url)) {
    router.get('/employee/user')
  } else if (/^\/employee\/role\/create[?]?.*$/.test(page.url)) {
    router.get('/employee/role')
  } else if (/^\/employee\/role\/\w+\/edit[?]?.*$/.test(page.url)) {
    router.get('/employee/role')
  }

  else if (/^\/issuance\/staff\/\w+\/edit[?]?.*$/.test(page.url)) {
    router.get('/issuance/staff')
  }

  else if (/^\/form\/formTemplate\/create[?]?.*$/.test(page.url)) {
    router.get('/form/formTemplate')
  } else if (/^\/form\/formTemplate\/\w+\/edit[?]?.*$/.test(page.url)) {
    router.get('/form/formTemplate')
  } else if (/^\/form\/raisedForm\/create[?]?.*$/.test(page.url)) {
    router.get('/form/raisedForm')
  }

  else if (/^\/leave\/leaveType\/create[?]?.*$/.test(page.url)) {
    router.get('/leave/leaveType')
  } else if (/^\/leave\/leaveType\/\w+\/edit[?]?.*$/.test(page.url)) {
    router.get('/leave/leaveType')
  } else if (/^\/leave\/leaveApplication\/create[?]?.*$/.test(page.url)) {
    router.get('/leave/leaveApplication')
  } else if (/^\/leave\/leaveApplication\/[0-9]+$/.test(page.url)) {
    router.get('/leave/leaveApplication')
  } else if (/^\/leave\/leaveRequest\/[0-9]+$/.test(page.url)) {
    router.get('/leave/leaveRequest')
  }

  else if (/^\/department\/department\/create[?]?.*$/.test(page.url)) {
    router.get('/department/department')
  } else if (/^\/department\/department\/\w+\/edit[?]?.*$/.test(page.url)) {
    router.get('/department/department')
  }

  else if (/^\/roster\/shift\/create[?]?.*$/.test(page.url)) {
    router.get('/roster/shift')
  } else if (/^\/roster\/shift\/\w+\/edit[?]?.*$/.test(page.url)) {
    router.get('/roster/shift')
  }
}
</script>
<script>
export default {
  data() {
    return {
      dropdownOpen: false,
      user: {
        pfp_src: null // Set to the image source if available
      }
    };
  },
  methods: {
    toggleDropdown() {
      this.dropdownOpen = !this.dropdownOpen;
    }
  }
};
</script>